Time entry list: set default column options
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

For the moment, even if we edit in the options the columns we want and the order we want, this configuration resets when we refresh

the page.

Is it possible to paramter a default options display, like it's possible for the trackers in the "administration" configuration page?

Thanks.

Related issues:

Related to Redmine - Defect #26537: Column Project is not longer added by def... Closed

Associated revisions

Revision 16814 - 2017-07-12 20:13 - Jean-Philippe Lang

Set default configuration for the timelog list (#26356).

History

#1 - 2017-07-05 17:23 - Holger Just

You can configure the default list of columns of the issue list in Administration -> Settings -> Issues at the bottom.

#2 - 2017-07-05 21:12 - César DJ Caësar 9114

Holger Just wrote:

You can configure the default list of columns of the issue list in Administration -> Settings -> Issues at the bottom.

 Yes I know that, what I ask is a feature to do the same for time entries.

Look here: [REDMINE URL]/issues/[ISSUE NUMBER]/time_entries to see what I mean

#3 - 2017-07-05 22:18 - Mischa The Evil

- Subject changed from Set default options to Time entry report: set default column options

#4 - 2017-07-12 20:14 - Jean-Philippe Lang

- Subject changed from Time entry report: set default column options to Time entry list: set default column options

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

- Resolution set to Fixed

Feature added, you can now set the default columns and totals for timelog list in Administration -> Settings -> Time tracking.

#5 - 2017-07-13 09:09 - César DJ Caësar 9114

Merci Jean-Philippe ;)

#6 - 2017-07-26 15:30 - Marius BĂLTEANU

After implementing this feature, the column "Project" is no longer added by default to the list of default columns for time entries in the global view. This

problem is fixed by the patch from #26537.

#7 - 2017-08-06 15:05 - Marius BĂLTEANU
https://www.redmine.org/issues/26537


- Related to Defect #26537: Column Project is not longer added by default to the list of default columns for time entries added
